Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.async.services
[Groovy] Class TransactionalPromiseDecorator

    java.lang.Object
      grails.async.services.TransactionalPromiseDecorator

All Implemented Interfaces:
  PromiseDecorator, org.springframework.transaction.TransactionDefinition

    @groovy.transform.CompileStatic
    class TransactionalPromiseDecorator

A PromiseDecorator that wraps a Promise in a transaction

Authors:
  Graeme Rocher

Since:
  2.3

Property Summary
`org.springframework.transaction.support.DefaultTransactionDefinition` | `transactionDefinition`
`org.springframework.transaction.PlatformTransactionManager` | `transactionManager`

Constructor Summary
`TransactionalPromiseDecorator(org.springframework.transaction.PlatformTransactionManager transactionManager)`
`TransactionalPromiseDecorator(org.springframework.transaction.PlatformTransactionManager transactionManager, org.springframework.transaction.support.DefaultTransactionDefinition transactionDefinition)`
`TransactionalPromiseDecorator(org.springframework.transaction.PlatformTransactionManager transactionManager, org.springframework.transaction.annotation.Transactional transactionDefinition)`

Method Summary
`groovy.lang.Closure` | `decorate(groovy.lang.Closure original)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### transactionDefinition

    @groovy.lang.Delegate
    org.springframework.transaction.support.DefaultTransactionDefinition transactionDefinition

### transactionManager

    org.springframework.transaction.PlatformTransactionManager transactionManager

Constructor Detail

### TransactionalPromiseDecorator

    TransactionalPromiseDecorator(org.springframework.transaction.PlatformTransactionManager transactionManager)

### TransactionalPromiseDecorator

    TransactionalPromiseDecorator(org.springframework.transaction.PlatformTransactionManager transactionManager, org.springframework.transaction.support.DefaultTransactionDefinition transactionDefinition)

### TransactionalPromiseDecorator

    TransactionalPromiseDecorator(org.springframework.transaction.PlatformTransactionManager transactionManager, org.springframework.transaction.annotation.Transactional transactionDefinition)

Method Detail

### decorate

    @java.lang.Override
    groovy.lang.Closure decorate(groovy.lang.Closure original)

Groovy Documentation